Bug Hunting Session
Bug 86282 - FILEOPEN: external link update csv says #REF! release >= 4.3
Summary: FILEOPEN: external link update csv says #REF! release >= 4.3
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-14 12:18 UTC by tsalmon18
Modified: 2016-10-25 19:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
tgz of screenshot and example files (549.18 KB, application/x-compressed)
2014-11-14 12:18 UTC, tsalmon18
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tsalmon18 2014-11-14 12:18:42 UTC
Created attachment 109460 [details]
tgz of screenshot and example files

File ods (file-4.2.5.2.ods) created with libreoffice < 4.3 with link to csv (file.csv)
Sins release >= 4.3, opening ods and update link says #REF! (20141114-BugOO_4.jpg 20141114-BugOO_6.jpg)
With libreoffice 4.2 no problem (20141114-BugOO_1.jpg 20141114-BugOO_3.jpg)
Comment 1 m.a.riosv 2014-11-14 23:32:18 UTC
Hi @tsalmon18, thanks for reporting.

Reproducible
Win7x64
Version: 4.3.4.0.0+
Build ID: e812aaaf31050c29a9499d3936cf07079b1a5f86
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-11-10_11:36:56

Seems now sheet name it's the same as file name.
changing 'sheet1' with 'file' in the link works fine, with last versions but fail with 4.2.5.2.
Comment 2 MM 2014-11-16 01:58:29 UTC
With v4.2.7.2 Build ID: 420m0(Build:2) under mint 17 x64 it seems already partially broken. Only A2 and B2 have #REF!
Comment 3 robskillz 2015-05-02 16:21:43 UTC
I am suffering from this too, with my own ODS sheets and CSV files.

Lubuntu 14.04 LTS and Libreoffice versions for the last year or so. I've had to roll back to 4.1.something

The import dialog box fails to open i.e. when you open the ODS then click "Yes" to update the cell contents from the external CSV file there is normally a dialog box for selecting the character encoding, delimiter character, etc. This doesn't open.

Bug still present in LO 4.4.2.2

Any news on whether this is being looked at or an estimated date for a fix?
Comment 4 robskillz 2015-05-02 16:48:20 UTC
After a bit of tinkering I now understand m.a.riosv's comment as a workaround.

In the formulae on the ODS sheet the file & cell reference has changed from 'Sheet1' to the filename. (minus the extension)
So updating all my formulae to reference 'filename' rather than 'Sheet1' I can import from the external CSV as before.
Comment 5 Xisco Faulí 2016-04-20 11:07:58 UTC
This issue is still reproducible in

Version: 5.2.0.0.alpha0+
Build ID: d6bf3bcd8b51012d55a2ec962800a8549e2b85e1
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-04-15_06:45:16
Locale: es-ES (es_ES)
Comment 6 Eike Rathke 2016-05-23 11:24:21 UTC
Hum.. indeed, the "name sheet after file" should be decoupled for external references.
Comment 7 Commit Notification 2016-05-23 14:23:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43030487c45f49bccdfad987c60d9483b938ebac

Resolves: tdf#86282 do not use file name as sheet name for linked documents

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-05-25 18:08:54 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec693d9b9df631605028271f62daa7dfbe8e273d

tdf#86282 handle both, base name and Sheet1, as external reference sheet name

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-05-25 21:01:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9e7a54809c88c4ac166630c11038188c8f50a6f

tdf#86282 switch to base name sheet name again for external references CSV

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-05-25 21:19:16 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=386b284241a16d96eaf792e2385c41f57ce3d870

remove now moot comment, tdf#86282 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Eike Rathke 2016-05-25 21:50:12 UTC
Pending review https://gerrit.libreoffice.org/25471 for 5-1
Comment 12 Commit Notification 2016-05-26 08:45:16 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06197fca43d12848e49ad0d3e4240b814032a27b&h=libreoffice-5-1

tdf#86282 handle both, base name and Sheet1, as external reference sheet name

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.